Ruby trunk - Bug #12177

Using "if:" as symbol in hash with new hash syntax in irb console is not working
03/15/2016 11:27 AM - nielsks (Niels Kristian)

Status: Closed
Priority: Normal
Assignee: keiju (Keiju Ishitsuka)

Target version:

ruby -v: ruby 2.3.0p0 (2015-12-25 revision Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:
53290) [x86_64-darwini15] UNKNOWN
Description
Try running irb and past this in:
# This works
class TestClass
@_alerts_config = {}
class << self
attr_accessor :_alerts_config
end
def self.monitor value_name, *args
self._alerts_config[value_name] = args.first
end
monitor "test_attr", alert: "testW@example.com", :if => Proc.new{|instance| instance.nil? }, with
_message: "Some error"
end
This will work. However if the :if => is changed to if: then the syntax renders invalid.
# This does NOT work
class TestClass
@_alerts_config = {}
class << self
attr_accessor :_alerts_config
end
def self.monitor value_name, *args
self._alerts_config[value_name] = args.first
end
monitor "test_attr", alert: "test@example.com", if: Proc.new{|instance| instance.nil? }, with_me
ssage: "Some error"
end
Related issues:
Has duplicate Ruby trunk - Bug #13012: irb fails to define a method with a re... Closed

History

#1 - 03/22/2016 01:53 AM - shyouhei (Shyouhei Urabe)
- Status changed from Open to Assigned

- Assignee set to keiju (Keiju Ishitsuka)

#2 - 01/18/2017 06:30 AM - nobu (Nobuyoshi Nakada)

- Has duplicate Bug #13012: irb fails to define a method with a reserved-word-ish keyword argument added
#3 - 01/18/2017 06:30 AM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed
